Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class IASDiagnosticImpl

`java.lang.Object
oracle.jbo.common.IASDiagnosticImpl`

All Implemented Interfaces:
  IDiagnostic, IDiagnostic2

public class IASDiagnosticImpl
extends java.lang.Object
implements IDiagnostic, IDiagnostic2

The superclass for classes that display diagnostics in a console.

This class is instantiated in `DiagonsticFactory#createDiagnostic()`.

Since:
  Jdeveloper 9.0.4

Constructor Summary
`IASDiagnosticImpl()` Creates an instance.
`IASDiagnosticImpl(java.lang.String oraHome, java.lang.String oc4jInstanceName)`

Method Summary
`void` | `initialized(java.lang.String reason)` Called to signal initialization of Diagnostic.
`void` | `print(java.lang.String message)` Displays a message in the console.
`void` | `println(java.lang.String message)` Displays a message, with a carrage-return, in the console.
`java.lang.String` | `toString()` Produces a textual description of this diagnostic service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IASDiagnosticImpl

    public IASDiagnosticImpl()

  Creates an instance.

### IASDiagnosticImpl

    public IASDiagnosticImpl(java.lang.String oraHome,
                             java.lang.String oc4jInstanceName)

Method Detail

### print

    public void print(java.lang.String message)

  Displays a message in the console.
  Specified by:
    `print` in interface `IDiagnostic`
  Parameters:
    `message` - the message to be printed.

### println

    public void println(java.lang.String message)

  Displays a message, with a carrage-return, in the console.
  Specified by:
    `println` in interface `IDiagnostic`
  Parameters:
    `message` - the message to be printed.

### initialized

    public void initialized(java.lang.String reason)

  Description copied from interface: `IDiagnostic2`
  Called to signal initialization of Diagnostic.
  Specified by:
    `initialized` in interface `IDiagnostic2`
  Parameters:
    `reason` - describes the reason for initialization.

### toString

    public java.lang.String toString()

  Produces a textual description of this diagnostic service.
  Specified by:
    `toString` in interface `IDiagnostic`
  Returns:
    a status string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.